/* ------------------------
  Table of Contents
  1. General
  2. Transition
  3. Box Shadow
  4. Pre Loader
  5. Scroll to Top
  6. Header
  9. Footer
  10. Page Title
/* ------------------------
    General
------------------------*/
a, a:focus { text-decoration: none !important; }
a { text-decoration: none; color: var(--themeht-text-color);}
a:focus, a:hover { color: var(--themeht-primary-color); text-decoration: none !important; }
a, button, input { outline: medium none !important; }
*::-moz-selection { background: var(--themeht-primary-color); color: var(--themeht-white-color); text-shadow: none; }
::-moz-selection { background: var(--themeht-primary-color); color: var(--themeht-white-color); text-shadow: none; }
::selection { background: var(--themeht-primary-color); color: var(--themeht-white-color); text-shadow: none; }
/* ------------------------
    Transition
------------------------*/
a,
.btn,
button,
img,
span,
input,
.dropdown-item,
.nav-item.dropdown .dropdown-menu a:before,
.social-icons li:hover a,
.featured-item,
.service-item,
.service-item .service-icon,
.service-icon:before,
.round-text,
.team-description,
.footer-list li a:before,
.btn:before,
.btn:after,
.service-widget li a:before,
.service-widget li a:after{
  -webkit-transition: all 0.5s ease-in-out 0s;
  -moz-transition: all 0.5s ease-in-out 0s;
  -ms-transition: all 0.5s ease-in-out 0s;
  -o-transition: all 0.5s ease-in-out 0s;
  transition: all 0.5s ease-in-out 0s;
}

/* ------------------------
    Box Shadow
------------------------*/
/* .box-shadow, .dropdown-menu, #header-wrap.fixed-header, .navbar-brand.logo, .navbar-nav ul, .white-btn, .owl-carousel .owl-nav button.owl-prev, .owl-carousel .owl-nav button.owl-next, .year-counter .counter, .about-call, .progress-parcent,
 .service-widget.widget, .post.sticky .post-card, .comment-author img, .comment-reply-link, .product-link a
 { -webkit-box-shadow: 0 0 45px rgb(5 28 141 / 10%); -moz-box-shadow: 0 0 45px rgb(5 28 141 / 10%); box-shadow: 0 0 45px rgb(5 28 141 / 10%); } */
/* ------------------------
    Pre Loader
------------------------*/
#ht-preloader { background: var(--themeht-bg-dark-color); bottom: 0; height: 100%; left: 0; overflow: hidden !important; position: fixed; right: 0; text-align: center; top: 0; width: 100%; z-index: 99999; display: flex;  justify-content: center; align-items: center; }
.loader-div { width: 150px; height: 150px; display: inline-block; position: relative;display: flex;align-items: center;justify-content: center; }
.loader-div::after, .loader-div::before { content: ''; width:150px; height:150px; border: 2px solid var(--themeht-white-color); position: absolute; left: 0; top: 0; animation: rotationBreak 3s ease-in-out infinite alternate;border-radius: 10%; }
.loader-div img {width: 100px;animation: loaderpulse alternate 900ms infinite;}
.loader-div::after { border-color: var(--themeht-primary-color); animation-direction: alternate-reverse; }
@keyframes loaderspin {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
@-webkit-keyframes loaderspin {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}
@keyframes loaderpulse {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.2);
  }
}
@keyframes rotationBreak {
	 0% {
		 transform: rotate(0);
	}
	 25% {
		 transform: rotate(90deg);
	}
	 50% {
		 transform: rotate(180deg);
	}
	 75% {
		 transform: rotate(270deg);
	}
	 100% {
		 transform: rotate(360deg);
	}
}


/* ------------------------
    Scroll to Top
------------------------*/
.scroll-top { position: fixed; bottom: 30px; right: 30px; z-index: 600; opacity: 0; visibility: hidden; -webkit-transition: all 0.8s ease-in-out; transition: all 0.8s ease-in-out; -webkit-transform: translate3d(0, 200%, 0); -ms-transform: translate3d(0, 200%, 0); transform: translate3d(0, 200%, 0); }
.scroll-top a, .scroll-top a:visited { display: block; height: 40px; width: 40px; line-height: 40px; text-align: center; -webkit-box-shadow: 0 0 15px 6px rgba(0, 0, 0, 0.1); -moz-box-shadow: 0 0 15px 6px rgba(0, 0, 0, 0.1); box-shadow: 0 0 15px 6px rgba(0, 0, 0, 0.1); -webkit-transition: all 0.3s ease-in-out; transition: all 0.3s ease-in-out; font-size: 20px;border-radius: 4px; color: var(--themeht-white-color); background: var(--themeht-primary-color); }
.scroll-top a:hover, .scroll-top a:focus { color: var(--themeht-primary-color); background: var(--themeht-white-color); }
.scroll-top.scroll-visible { opacity: 1; visibility: visible; -webkit-transform: translate3d(0, 0, 0); -ms-transform: translate3d(0, 0, 0); transform: translate3d(0, 0, 0); }


/* ------------------------
    Background Overlay
------------------------*/
[data-overlay] {
  position: relative;
  z-index: 0;
}

[data-overlay]:before {
  position: absolute;
  content: '';
  background-color: var(--themeht-bg-dark-color);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: -1;
}

[data-overlay].white-overlay:before {
  background-color: var(--themeht-white-color);
}

[data-overlay].theme-overlay:before {
  background-color: var(--themeht-primary-color);
}

[data-overlay].overlay-50:before {
  width: 50%;
}

[data-overlay="1"]:before {
  opacity: 0.1;
}

[data-overlay="2"]:before {
  opacity: 0.2;
}

[data-overlay="3"]:before {
  opacity: 0.3;
}

[data-overlay="4"]:before {
  opacity: 0.4;
}

[data-overlay="5"]:before {
  opacity: 0.5;
}

[data-overlay="6"]:before {
  opacity: 0.6;
}

[data-overlay="7"]:before {
  opacity: 0.7;
}

[data-overlay="8"]:before {
  opacity: 0.8;
}

[data-overlay="9"]:before {
  opacity: 0.9;
}

[data-overlay="10"]:before {
  opacity: 1;
}

[data-overlay="0"]:before {
  opacity: 0;
}


/* ------------------------
    Header
------------------------*/

/*--Header top--*/
.topbar-link a, .topbar-link{color: var(--themeht-white-color);}
.topbar-link i{margin-right: 5px; color:#fff; font-size: 20px; vertical-align: middle;}
.topbar-link a:hover{color:#fff;}
.header-top {line-height: 35px; background-color: var(--themeht-primary-color);}
.header-top ul{margin: 0;}
.header-top li {display: inline-block; margin: 0; padding: 0 20px; font-size: 13px;}
.header-top li:not(:last-child){ border-right:1px solid #dfdfdf8c;}
.header-top .social-icons li{margin: 0;}
.header-top .social-icons li a{color: var(--themeht-white-color); height: 35px; line-height: 35px;}
.header .primary-btn{margin-left: 30px;}


/* ------------------------
  Header
------------------------*/
#header-wrap { position: relative; z-index: 999;}
.sticky-header { position: fixed; opacity: 0; visibility: hidden; left: 0px; top: 0px; width: 100%; z-index: 0; transition: all 500ms ease; -moz-transition: all 500ms ease; -webkit-transition: all 500ms ease; -ms-transition: all 500ms ease; -o-transition: all 500ms ease; background-color: var(--themeht-white-color); }
#header-wrap.fixed-header {position: fixed;z-index: 999;left: 0px; top: 0px; width: 100%; transition: all 500ms ease; -moz-transition: all 500ms ease; -webkit-transition: all 500ms ease; -ms-transition: all 500ms ease; -o-transition: all 500ms ease; background-color: var(--themeht-white-color);box-shadow: rgba(0, 0, 0, 0.35) 0px 0px 10px;}
.sticky-header .navbar-brand.logo { padding: 20px 30px; margin-top: 0; }

@-webkit-keyframes smoothScroll {
            0% {
               opacity: 0;
               -webkit-transform: translateY(-20px);
            }
            100% {
               opacity: 1;
               -webkit-transform: translateY(0);
            }
         }
         
         @keyframes smoothScroll {
            0% {
               opacity: 0;
               transform: translateY(-20px);
            }
            100% {
               opacity: 1;
               transform: translateY(0);
            }
         }

/*--navigation--*/
.navbar-brand.logo {/*padding: 55px 30px 15px;*/ display: flex; height: 100%; align-items: center; /*margin-top: -38px;*/ position: relative; margin-right: 0; }
/* #header-wrap .navbar-brand.logo:before{content: ''; position: absolute; left: 0; top: 0; width: 100%; height: 38px; background: var(--themeht-primary-color);} */
.logo img { max-height: var(--logo-desktop-height); }
.navbar { padding: 0; }
.navbar-nav .nav-item{margin:0 35px;}
.navbar-nav .nav-item a{text-transform: uppercase;font-weight: 600;}
.navbar-nav .nav-item.dropdown .dropdown-menu .nav-item{margin: 0;}
.navbar-nav .nav-item.dropdown .dropdown-menu { /*background: var(--themeht-bg-dark-color);*/ box-shadow:0 0.5rem 1rem rgb(42 39 94 / 6%); border-radius: 0; padding:10px; border: none; }
.navbar-nav .nav-link {padding: 0 !important; color: var(--themeht-text-color); font-size: 18px; border-radius: 0; position: relative; }
.navbar-nav .dropdown-menu a { background: none; padding: 5px 0; padding-right: 15px; /*color: var(--themeht-white-color);*/ position: relative; display: inline-block; }
.nav-link.dropdown-toggle::after { border: solid var(--themeht-body-color); border-width: 0 2px 2px 0; width: 0.425rem; height: 0.425rem; transform: rotate(45deg); -webkit-transform: rotate(45deg); vertical-align: 0.15em; margin-left: 5px; }

.dropdown-submenu { position: relative !important; box-shadow: none !important; display: block; }
.navbar-nav .dropdown-submenu > .dropdown-menu { top: 3% !important;}
.navbar-nav .dropdown-submenu:hover > .dropdown-menu { top: 0 !important; display: block; }
.dropdown-submenu a.dropdown-toggle::after {border: solid var(--themeht-white-color); border-width: 0 2px 2px 0; width: 0.425rem; height: 0.425rem; transform: translateY(-50%) rotate(-45deg); position: absolute; right: 0; top: 50%; margin-top: 0; }
.dropdown-submenu .dropdown-menu { top: 0; left: 100%; margin-left: .1rem; margin-right: .1rem; margin-top: 0 !important; }
.dropdown-submenu > a { padding-right: 2.5rem; position: relative; }

@media (min-width:992px) {
    .navbar-nav .nav-link.active, .navbar-nav .nav-link:focus, .navbar-nav .nav-link:hover, .navbar-nav .show > .nav-link, a:focus, a:hover { color: var(--themeht-primary-color); }
    .navbar-nav .nav-link.active.dropdown-toggle::after, .navbar-nav .nav-link.dropdown-toggle:hover::after, .navbar-nav .show > .nav-link.dropdown-toggle::after { border: solid var(--themeht-primary-color); border-width: 0 2px 2px 0; }
    /* .navbar-nav .nav-link:before { content: "\f069"; font-family: 'Line Awesome Free'; font-weight: 900; color: var(--themeht-text-color); font-size: 14px; position: absolute; left: -15px; top: -5px; } */
    .navbar-nav .nav-link.active:before, .navbar-nav .nav-link:focus:before, .navbar-nav .nav-link:hover:before, .navbar-nav .show > .nav-link:before { color: var(--themeht-primary-color); animation: rotate 5s ease-in-out infinite; }
    .navbar-nav .dropdown-menu { min-width: 15em !important; max-width: 20em !important; }
    .navbar-nav .dropdown > .dropdown-menu { transform-origin: top center; transform: scaleY(0); opacity: 0; top: 100%; position: absolute; display: block; pointer-events: none; background: var(--themeht-white-color); }
    .navbar-nav .dropdown:hover > .dropdown-menu { transform: scaleY(1); display: block; opacity: 1; pointer-events: auto; visibility: visible; top: 100%; -webkit-transition: all 0.5s ease-in-out 0s; -moz-transition: all 0.5s ease-in-out 0s; -ms-transition: all 0.5s ease-in-out 0s; -o-transition: all 0.5s ease-in-out 0s; transition: all 0.5s ease-in-out 0s; }
    .navbar-nav .dropdown-menu a.active, .navbar-nav .dropdown-menu a:active, .navbar-nav .dropdown-menu a:focus, .navbar-nav .dropdown-menu a:hover { padding-left: 20px; background: none; color: var(--themeht-primary-color); }
    .nav-item.dropdown .dropdown-menu a:before { content: "\f069"; font-family: 'Line Awesome Free'; font-weight: 900; color: var(--themeht-text-color); font-size: 14px; position: absolute; left: 0; top: 5px; opacity: 0; }
    .nav-item.dropdown .dropdown-menu a.active:before, .nav-item.dropdown .dropdown-menu a:focus:before, .nav-item.dropdown .dropdown-menu a:hover:before{opacity: 1; left: 0; color: var(--themeht-primary-color); animation: rotate 5s ease-in-out infinite;}
}
@media (max-width:991.98px) {
    .navbar-nav .nav-item { margin: 0;}
    .navbar-toggler { background: none; border: 1px solid var(--themeht-primary-color); height: 40px; width: 40px; padding: 0; border-radius: 0; margin-left: auto;display: flex;align-items: center;justify-content: center;}
    .navbar-toggler:focus { box-shadow: none; }
    .ht-toggler svg { width: 40px; height: 40px; display: inline-block; }
    .ht-toggler .line { fill: none; stroke: var(--themeht-primary-color); stroke-width: 6; transition: stroke-dasharray 600ms cubic-bezier(0.4, 0, 0.2, 1), stroke-dashoffset 600ms cubic-bezier(0.4, 0, 0.2, 1); }
    .ht-toggler .line1 { stroke-dasharray: 60 207; stroke-width: 3; }
    .ht-toggler .line2 { stroke-dasharray: 60 60; stroke-width: 3; }
    .ht-toggler .line3 { stroke-dasharray: 60 207; stroke-width: 3; }
    .ht-toggler[aria-expanded="true"] .line1 { stroke-dasharray: 90 207; stroke-dashoffset: -134; stroke-width: 3; }
    .ht-toggler[aria-expanded="true"] .line2 { stroke-dasharray: 1 60; stroke-dashoffset: -30; stroke-width: 3; }
    .ht-toggler[aria-expanded="true"] .line3 { stroke-dasharray: 90 207; stroke-dashoffset: -134; stroke-width: 3; }
    .navbar-collapse { background: var(--themeht-white-color);height:100%;left: 0; padding: 20px; position: absolute; z-index: 99; top: 100%; width: 100%; overflow: auto; border: medium none; -webkit-box-shadow: 0 0 45px rgb(5 28 141 / 10%); -moz-box-shadow: 0 0 45px rgb(5 28 141 / 10%); box-shadow: 0 0 45px rgb(5 28 141 / 10%); }
    .navbar-nav .dropdown-toggle::after { position: absolute; top: 50%; right: 0; margin: -.1rem 0.5em 0 0; border-color: var(--themeht-text-color); }
    .navbar-nav .nav-link { padding: 10px !important; color: var(--themeht-text-color); }
    .navbar-nav .nav-item .nav-link.active { background: var(--themeht-primary-color); color: var(--themeht-white-color); }
    .navbar-nav .nav-link.active.dropdown-toggle::after { border: solid var(--themeht-white-color); border-width: 0 2px 2px 0; }
    .navbar-nav .dropdown-menu a.active { background: none; color: var(--themeht-primary-color); }
    .nav-item.dropdown .dropdown-menu a.active:before{opacity: 1; left: 0; color: var(--themeht-primary-color); animation: rotate 5s ease-in-out infinite;}
    .navbar-nav .nav-item.dropdown .dropdown-menu { /*background: var(--themeht-white-color);*/ padding: 10px 20px; box-shadow: none;}
    .navbar-nav .dropdown-menu a { color: var(--themeht-text-color);}
    .dropdown-submenu a.dropdown-toggle::after {border: solid var(--themeht-text-color); border-width: 0 2px 2px 0;  width: 0.425rem;}
    
}


/*--Header Search--*/
/* .search-icon a { font-size: 30px; color: var(--themeht-text-color); line-height: 30px; }
.search-input { position: fixed; left: 0; width: 100%; z-index: 999; text-align: center; background: var(--themeht-bg-dark-color); z-index: 9999; top: 0; display: none; padding: 80px 0; }
.search-inner { padding: 15px 0; position: relative; }
.search-input label { width: 100%; }
.search-input .search-field { width: 100%; background: transparent; border: none; height: 100%; padding-right: 60px; }
.search-input .search-form button[type="submit"] { width: 0; height: 0; padding: 0; border: 0; font-size: 30px; right: 50px; position: absolute; top: 5px; }
.search-input .search-submit:hover { color: var(--themeht-primary-color); } */
.right-nav { position: relative; }
/* .search-input .search-form { margin: 0 auto; background: var(--themeht-white-color); padding: 15px 10px; border-radius: 10px; } */
.close-search { position: absolute; top: 15px; right: -60px; cursor: pointer; font-size: 30px; color: var(--themeht-white-color); }
.close-search:hover { color: var(--themeht-primary-color); }


/* ------------------------
    Footer
------------------------*/
.footer { padding-top: 100px;}
.secondary-footer{ border-top:1px solid #a3a3a396; padding:15px 0; margin-top: 40px; font-size: 16px; color: var(--themeht-white-color);}
.footer h5{padding-left: 30px; font-weight: 500; position: relative; color: var(--themeht-white-color);text-transform: uppercase;}
.footer h5 span { font-size: 14px; }
.footer h5:before{content: "\f1ce"; font-family: 'Line Awesome Free'; font-weight: 700; color:#e9e9e9; font-size: 24px; position: absolute; left: 0; top: 0; animation: rotate 5s ease-in-out infinite;}
.media-icon.list-inline li { display: inline-block; }
.media-icon li { margin-bottom: 25px !important; font-size: 16px; font-weight: 400; display: flex; align-items: flex-start;}
.media-icon li:last-child { margin-bottom: 0 !important; }
.media-icon li i { font-size: 24px; color: #fff; vertical-align: middle; line-height: 24px; margin-right: 10px;}
.media-icon li a, .media-icon li p { color: var(--themeht-white-color); }
.media-icon li a:hover { color:#fff; text-decoration: underline !important;}
.footer-menu li { margin-bottom: 15px; text-transform: capitalize;}
.footer-menu li:last-child { margin-bottom: 0; }
.footer-menu li a {color: var(--themeht-white-color); position: relative;}
.footer-menu li a:hover {color:#fff; padding-left: 15px;}
.footer-menu li a:before{content: ""; background:#fff; width: 5px; height: 5px; position: absolute; left: -5px; top: 50%; margin-top: -2.5px; opacity: 0;}
.footer-menu li a:hover:before{opacity: 1; left: 0; animation: opacitychange 1s ease-in-out infinite;}
.social-icons.footer-social li a {height: 40px; width: 40px; line-height: 40px; font-size: 24px; color: var(--themeht-white-color); background: var(--themeht-border-dark-color);}



/* ------------------------
    Page Title
------------------------*/
.page-title { display: block; position: relative; padding: 100px 0; background: var(--themeht-bg-dark-color); z-index: 9; background-attachment: fixed; }
.page-title:before{content:'';position: absolute; top: 0; left: 0; width: 100%; height: 100%; background: var(--themeht-primary-color); opacity: 0.2; z-index: 1;}
.page-title h1 { font-size: 37px; color: var(--themeht-white-color); line-height: 42px; font-weight: 600; word-break: break-word;margin-bottom:30px;}
.theme-breadcrumb-box{display: inline-block;padding:30px 0;position: relative;z-index: 1;}
.page-breadcrumb{display: inline-block; margin-top: 15px; }
.breadcrumb { background: none; display: inline-block; margin: 0; text-transform: capitalize; color: var(--themeht-white-color); font-weight: 500; }
.breadcrumb-item { display: inline-block; }
.breadcrumb-item a { color:#fff;}
.breadcrumb-item.active, .breadcrumb-item a:hover { color:#fff;}
.breadcrumb-item + .breadcrumb-item:before { color:#fff; content: "\f054"; font-family: 'Line Awesome Free'; font-weight: 700;}



/* ------------------------
    Flat Icon
------------------------*/
@font-face {
  font-family: "Flaticon";
  src: url("../fonts/Flaticon.eot");
  src: url("../fonts/Flaticon.eot?#iefix") format("embedded-opentype"),
       url("../fonts/Flaticon.woff") format("woff"),
       url("../fonts/Flaticon.ttf") format("truetype"),
       url("../fonts/Flaticon.svg#Flaticon") format("svg");
  font-weight: normal;
  font-style: normal;
}

@media screen and (-webkit-min-device-pixel-ratio:0) {
  @font-face {
    font-family: "Flaticon";
    src: url("../fonts/Flaticon.svg#Flaticon") format("svg");
  }
}

[class^="flaticon-"]:before, [class*=" flaticon-"]:before,
[class^="flaticon-"]:after, [class*=" flaticon-"]:after {   
  font-family: Flaticon;
font-style: normal;
}
.flaticon-24-hours:before { content: "\f100"; }
.flaticon-drawing:before { content: "\f101"; }
.flaticon-innovation-1:before { content: "\f102"; }
.flaticon-idea:before { content: "\f103"; }
.flaticon-alarm-clock:before { content: "\f104"; }
.flaticon-broken-link-1:before { content: "\f105"; }
.flaticon-broken-link:before { content: "\f106"; }
.flaticon-search-1:before { content: "\f107"; }
.flaticon-search:before { content: "\f108"; }
.flaticon-magnifier:before { content: "\f109"; }
.flaticon-cancel:before { content: "\f10a"; }
.flaticon-home:before { content: "\f10b"; }
.flaticon-map:before { content: "\f10c"; }
.flaticon-employee:before { content: "\f10d"; }
.flaticon-coffee-cup:before { content: "\f10e"; }
.flaticon-pencil:before { content: "\f10f"; }
.flaticon-project:before { content: "\f110"; }
.flaticon-engine:before { content: "\f111"; }
.flaticon-fuel-station:before { content: "\f112"; }
.flaticon-factory:before { content: "\f113"; }
.flaticon-maintenance:before { content: "\f114"; }
.flaticon-industrial-robot:before { content: "\f115"; }
.flaticon-gear:before { content: "\f116"; }
.flaticon-motor:before { content: "\f117"; }
.flaticon-worker:before { content: "\f118"; }
.flaticon-oil:before { content: "\f119"; }
.flaticon-angle-arrow-down:before { content: "\f11a"; }
.flaticon-paper-plane:before { content: "\f11b"; }
.flaticon-message:before { content: "\f11c"; }
.flaticon-opened-email-envelope:before { content: "\f11d"; }
.flaticon-phone-call:before { content: "\f11e"; }
.flaticon-online-support:before { content: "\f11f"; }
.flaticon-settings:before { content: "\f120"; }
.flaticon-networking:before { content: "\f121"; }
.flaticon-browser:before { content: "\f122"; }
.flaticon-time-management:before { content: "\f123"; }
.flaticon-chat-bubble:before { content: "\f124"; }
.flaticon-trophy:before { content: "\f125"; }
.flaticon-growth:before { content: "\f126"; }
.flaticon-innovation:before { content: "\f127"; }



/*--Header Cart--*/
.cart {
  position: relative;
  z-index: 200;
}

[data-cart-items] {
  position: relative;
  display: inline-block;
}

[data-cart-items]::before {
  content: attr(data-cart-items);
  position: absolute;
  top: -.5rem;
  right: -.75rem;
  display: -webkit-box;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  justify-content: center;
  width: 20px;
  height: 20px;
  font-size: 11px;
  font-weight: 500;
  border-radius: 50%;
  background-color: var(--themeht-primary-color);
  color: var(--themeht-white-color);
}

.cart a i {
  font-size: 26px;
  color: var(text);
}

/* ------------------------
Modal Popup
------------------------*/
.modal.cart-modal {
  padding-right: 0 !important;
}

.modal.cart-modal .modal-dialog {
  margin: 0 0 0 auto;
  height: 100%;
  max-width: 450px;
}

.modal.cart-modal .modal-content {
  border: none;
  border-radius: 0;
  height: inherit;
  overflow-y: auto;
}

.modal.cart-modal.fade .modal-dialog {
  -webkit-transform: translateX(100%);
  transform: translateX(100%);
}

.modal.cart-modal.show .modal-dialog {
  -webkit-transform: translateX(0);
  transform: translateX(0);
}

.modal-header .close {
  background: var(--themeht-primary-color);
  color: var(--themeht-white-color);
  opacity: 1;
}

/* .service-item{
    position: relative;
    background: #ffffff;
    box-shadow: inset 0 4px 10px rgba(0, 0, 0, 0.1), 0 6px 0 rgba(0, 82, 204, 0.12);
    border-radius: 20px;
    padding: 30px;
    overflow: hidden;
}
.service-item .service-image {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
}
.elementor img {
    border: none;
    border-radius: 0;
    box-shadow: none;
    height: auto;
    max-width: 100%;
}
.service-item.style-5 .service-desc {
    position: relative;
    padding-top: 35px;
}
.service-item.style-5 .service-icon {
    font-size: 40px;
    line-height: 1;
    color:#ffffff;
    z-index: 9;
    position: absolute;
    top: -35px;
    right: 35px;
    background: #134cf7;
    width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 20px;
    border: 2px solid white;
}
.service-subtitle {
    display: inline-block;
    background: #f6f6f6;
    padding: 7px 15px;
    font-size: 12px;
    text-transform: uppercase;
    font-weight: 500;
    border-radius: 100px;
    line-height: 1;
    color: #040b2f;
    margin-bottom: 5px;
}
.service-item .service-desc p {
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
}
.service-item.style-5 p {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    overflow: hidden;
    -webkit-box-orient: vertical;
    margin-bottom: 0;
    margin-top: 20px;
} */
.pTB{padding:70px 0;}
.banner-slider { position: relative; }
.scroll {
    position: absolute;
    bottom:20px;
    left: 50%;
    transform: translateX(-50%);
    color: #fff;
    text-align: center;
    font-size: 12px;
    letter-spacing: 4px;
    z-index: 1;
}
.scroll span {
    display: block;
    width: 1px;
    height: 60px;
    background:var(--themeht-primary-color);
    margin: 15px auto;
    animation: move 2s infinite;
}
@keyframes move{
  0%{height:20px;}
  50%{height:60px;}
  100%{height:20px;}
}
.slider-img img {width: 100%;}
.aboutSec{position: relative;}
span.shapeImg {
    position: absolute;
    right: 0;
    top:0;
    opacity:0.5;
    z-index:-1;
}
.industriesWeServe .row{
  row-gap:110px;
}
.theme-title h2, .theme-title .h2 {
  line-height: 40px !important;
  font-size: 35px !important;
  color: var(--themeht-primary-color);
}
.hero-bg-video,.hero-bg-video video{width:100%;position: relative;}
/* .hero-bg-video:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--themeht-primary-color);
    opacity: 0.2;
    z-index: 1;
} */
.heroContent{position: absolute; top: 0; left: 0; width: 100%; height: 100%; display: flex; align-items: center;z-index:3;}
.heroInnMain {
    width: 66%;
    margin: 0 auto;
    text-align: center;
}
.heroContent h2{color:#fff;margin-bottom:20px;text-transform: uppercase;font-size: 36px;line-height: 45px;}
.heroContent p{color:#fff;font-size: 20px;line-height: 25px;}
.contactPage h4{font-size:30px;}
.contactPage h6 {font-weight: 700;font-size: 17px;}
.contactPage h6 span{font-size: 13px;}
.contactPage h5 {font-size: 18px;margin-bottom: 4px;}
.aboutSec{position: relative;overflow: hidden;}
.about-section .about-shape-4 {position: absolute;top: 0;left: 0;z-index: -1;}
.contactPage span i{font-size:25px;margin-right:10px;}
.about-section .about-shape-5 {
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: -1;
}
.float-bob-y {
    animation-name: float-bob-y;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
@keyframes float-bob-y {
    0% {
        transform: translateY(-30px)
    }

    50% {
        transform: translateY(-10px)
    }

    to {
        transform: translateY(-30px)
    }
}
.about-wrapper-2 .about-image{
    position: relative;
    max-width: 410px;
    z-index: 9;
}
.aboutSec .about-wrapper-2 .about-image::before {
    position: absolute;
    top: 10%;
    left: 0px;
    content: "";
    width:103%;
    height:93%;
    z-index: -1;
    border: 1px solid #0056a4;
    border-radius: 20px;
}
.float-bob-x {
    animation-name: float-bob-x;
    animation-duration: 3s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}
@keyframes float-bob-x {
    0% {
        transform: translateX(30px)
    }

    50% {
        transform: translateX(10px)
    }

    to {
        transform: translateX(30px)
    }
}

@keyframes bounce-x {
    0% {
        transform: translateX(0)
    }

    50% {
        transform: translateX(30px)
    }

    to {
        transform: translateX(0)
    }
}
.about-wrapper-2 .about-image img {
    width: 100%;
    height: 100%;
}
.fadeInLeft {
    -webkit-animation-name: fadeInLeft;
    animation-name: fadeInLeft;
}
@keyframes fadeInLeft {
  0% {
    opacity: 0;
    -webkit-transform: translateX(-20px);
    -ms-transform: translateX(-20px);
    transform: translateX(-20px);
  }

  100% {
    opacity: 1;
    -webkit-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
  }
}
/* .about-wrapper-2 .about-image .about-image-2 {
    position: absolute;
    right: -44%;
    bottom: -33%;
    border: 5px solid #fff;
} */
/* @media (max-width: 1399px) {
    .about-wrapper-2 .about-image .about-image-2 {
        right: -24%;
    }
} */
/* .about-wrapper-2 .about-image .video-items {
    position: absolute;
    bottom: -28%;
    left: 22%;
} */
/* .about-wrapper-2 .about-image .video-items .video-btn {
    width: 58px;
    height: 58px;
    background-color: #0056a4;
    color: #fff;
    line-height: 58px;
    display: block;
    position: relative;
    text-align: center;
    margin: 0 auto;
}
.about-wrapper-2 .about-image .video-items .video-btn:before {
    width: 70px;
    height: 70px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 1px solid #0056a4;
    content: "";
}
.about-wrapper-2 .about-image .video-items .video-text {
    color: #121315;
    font-weight: 700;
    text-transform: uppercase;
    display: block;
    margin-top: 15px;
    font-size: 18px;
    text-align: center;
} */
.about-wrapper-2 .about-image .bar-shape {
    position: absolute;
    right: -26%;
    top: 0;
}
.about-wrapper-2 .about-image img {
    width: 100%;
    height: 100%;
}
.section-title {
    position: relative;
    z-index: 99;
    margin-bottom: 30px;
    margin-top: -7px;
}
.section-title h6 {
    font-size: 16px;
    font-weight: 700;
    font-family: DM Sans, sans-serif;
    color: #0056a4;
    display: inline-block;
    margin-bottom: 20px;
    line-height: 1;
    text-transform: uppercase;
}
.section-title h6 i:not(:last-child) {
    margin-right: 10px;
}
.aboutSec h2{line-height: 40px!important; font-size: 35px !important;}
.aboutSec p{text-align:justify;margin-bottom:10px;font-size: 16px;font-weight: 500;line-height: 30px;}
.productPage { padding: 70px 0;}
.productPage h2 {font-size: 36px;line-height: 40px;color: var(--themeht-primary-color);}
.productPage p{text-align:justify;}
.textWhite table tr th,.textWhite table tr td,.textWhite .table-striped>tbody>tr:nth-of-type(odd)>*{color:#fff;vertical-align:middle;}
.m-s-treatment{background-color: #EFF0F3;}
.innTeatBox{
  position: relative;
    display: block;
    background-color: #ffffff;
    text-align: center;
    padding:25px 0;
    transform: translateY(0);
    transition: background-color 0.5s ease;
    transition: all 0.5s ease;
}
.innTeatBox:hover{
  box-shadow: 0px 0px 28px 0px rgba(0, 0, 0, 0.2);
    transform: translateY(5px);
    z-index: 2;
}
.treatBox{display:grid;grid-template-columns:repeat(auto-fit, minmax(139px, 1fr));margin-top:30px;}
.treatBox h4 { margin: 10px 0 5px; font-size: 20px; line-height: 28px; color: var(--themeht-primary-color); }
.treatBox p{margin-bottom:0;}
.chemistryBox {
    display: flex;
    gap: 15px;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    position: relative;
}
.cheBox{width:173px;height:173px;border-radius: 20px;overflow:hidden;margin: 0 auto;}
.chemistryBox h5{margin-bottom:0;font-size:23px;}
.cheBox2{width:377px;height:377px;}
.chemistryBox span {
    position: absolute;
    top: 130px;
    left: 180px;
    background: var(--themeht-primary-color);
    width: 25px;
    height: 25px;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    font-size: 16px;
    border-radius:5px;
}
.chemistryBox .cheBox img{
  transition:all 0.5s ease;
}
.chemistryBox:hover .cheBox img{
  transform:scale(1.2);
}
.qulityArrow {position: absolute;top: -23%;width: 100%;}
.qulityArrow img{width: 100%;}

.productPage .about-wrapper-2 .about-image{margin-left: auto;}
.productPage .about-image .bar-shape{left: -26%;right:auto;}
.single-post .post-card h1 { margin-bottom: 40px; font-size: 35px; line-height: 40px; }
.single-post .post-card h2 {margin-bottom: 10px;font-size:28px;line-height: 35px;}
.single-post .post-card .accordion h2 { margin-bottom: 30px;}
.single-post .post-card p{text-align:justify;}

.appImg{position: relative;border-radius: 35px;overflow: hidden;padding: 0 10px 10px 0;border: 2px solid #0063bf;}
.appImg h3 { position: absolute; bottom: 30px;background: #fff; padding: 15px; z-index: 1; font-size: 20px; line-height: 25px; max-width: 320px; border-radius: 0 10px 10px 0; }
.applicationPage .row { row-gap: 30px; }
.appImg img{transition:all 0.5s ease;border-radius: 35px;}
.appImg:hover img{transform:scale(1.1);}
.table-responsive{}

.table-responsive::-webkit-scrollbar {width:2px;height:5px;}
.table-responsive::-webkit-scrollbar-track {background: #f1f1f1;} 
.table-responsive::-webkit-scrollbar-thumb {background:var(--themeht-primary-color);} 
.table-responsive::-webkit-scrollbar-thumb:hover {background:var(--themeht-primary-color);}
.navbar-collapse .navbar-brand.logo {display:none;}
/* Direct active menu item style */
.navbar-nav .nav-item.active > a,
.navbar-nav .dropdown-menu li.active > a {color:var(--themeht-primary-color);}
li.nav-item.dropdown.active .nav-link.dropdown-toggle::after{border-color:var(--themeht-primary-color);}